PluginDefaultGroovyMethods (Groovy 5.0.7)
Description: declaration: package: org.codehaus.groovy.vmplugin.v9, class: PluginDefaultGroovyMethods

Package org.codehaus.groovy.vmplugin.v9

# Class PluginDefaultGroovyMethods

java.lang.Object
org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
org.codehaus.groovy.vmplugin.v9.PluginDefaultGroovyMethods

public class PluginDefaultGroovyMethods extends DefaultGroovyMethodsSupport
Defines new Groovy methods which appear on normal JDK 9 classes inside the Groovy environment.

Since:
  3.0.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `debug(System.Logger logger, String msg)`
  Convenience method for logging debug level messages with the platform logger.
  `static void`
  `debug(System.Logger logger, String format, Object... params)`
  Convenience method for logging debug level messages with the platform logger.
  `static void`
  `debug(System.Logger logger, String msg, Throwable thrown)`
  Convenience method for logging debug level messages with the platform logger.
  `static void`
  `error(System.Logger logger, String msg)`
  Convenience method for logging error level messages with the platform logger.
  `static void`
  `error(System.Logger logger, String format, Object... params)`
  Convenience method for logging error level messages with the platform logger.
  `static void`
  `error(System.Logger logger, String msg, Throwable thrown)`
  Convenience method for logging error level messages with the platform logger.
  `static void`
  `info(System.Logger logger, String msg)`
  Convenience method for logging info level messages with the platform logger.
  `static void`
  `info(System.Logger logger, String format, Object... params)`
  Convenience method for logging info level messages with the platform logger.
  `static void`
  `info(System.Logger logger, String msg, Throwable thrown)`
  Convenience method for logging info level messages with the platform logger.
  `static void`
  `trace(System.Logger logger, String msg)`
  Convenience method for logging trace level messages with the platform logger.
  `static void`
  `trace(System.Logger logger, String format, Object... params)`
  Convenience method for logging trace level messages with the platform logger.
  `static void`
  `trace(System.Logger logger, String msg, Throwable thrown)`
  Convenience method for logging trace level messages with the platform logger.
  `static void`
  `warn(System.Logger logger, String msg)`
  Convenience method for logging warning level messages with the platform logger.
  `static void`
  `warn(System.Logger logger, String format, Object... params)`
  Convenience method for logging warning level messages with the platform logger.
  `static void`
  `warn(System.Logger logger, String msg, Throwable thrown)`
  Convenience method for logging warning level messages with the platform logger.

  ### Methods inherited from class org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport

  `cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarArray, createSimilarCollection, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarQueue, createSimilarSet, normaliseIndex, sameType, sameType, subListBorders, subListBorders, subListRange, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### info

    public static void info(System.Logger logger, String msg)
    Convenience method for logging info level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### info

    public static void info(System.Logger logger, String msg, Throwable thrown)
    Convenience method for logging info level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### info

    public static void info(System.Logger logger, String format, Object... params)
    Convenience method for logging info level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### trace

    public static void trace(System.Logger logger, String msg)
    Convenience method for logging trace level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### trace

    public static void trace(System.Logger logger, String msg, Throwable thrown)
    Convenience method for logging trace level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### trace

    public static void trace(System.Logger logger, String format, Object... params)
    Convenience method for logging trace level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### warn

    public static void warn(System.Logger logger, String msg)
    Convenience method for logging warning level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### warn

    public static void warn(System.Logger logger, String msg, Throwable thrown)
    Convenience method for logging warning level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### warn

    public static void warn(System.Logger logger, String format, Object... params)
    Convenience method for logging warning level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### error

    public static void error(System.Logger logger, String msg)
    Convenience method for logging error level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### error

    public static void error(System.Logger logger, String msg, Throwable thrown)
    Convenience method for logging error level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### error

    public static void error(System.Logger logger, String format, Object... params)
    Convenience method for logging error level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### debug

    public static void debug(System.Logger logger, String msg)
    Convenience method for logging debug level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### debug

    public static void debug(System.Logger logger, String msg, Throwable thrown)
    Convenience method for logging debug level messages with the platform logger.
    Parameters:
      `logger` - the Optional

  - ### debug

    public static void debug(System.Logger logger, String format, Object... params)
    Convenience method for logging debug level messages with the platform logger.
    Parameters:
      `logger` - the Optional